APMLABEL(8) | System Manager's Manual | APMLABEL(8)

# NAME

apmlabel — update disk label from Apple Partition Map

# SYNOPSIS

apmlabel | [-fqrw] device

# DESCRIPTION

apmlabel is used to update a NetBSD disk label from the Apple Partition Map found on disks that were previously used on Mac OS systems (or other APM using systems).

apmlabel scans the APM contained in the first blocks of the disk and generates additional partition entries for the disk from the entries found. Driver and patches partitions are ignored.

Each APM entry which does not have an equivalent partition in the disk label (equivalent in having the same size and offset) is added to the first free partition slot in the disk label. A free partition slot is defined as one with an fstype of ‘`unused`' and a size of zero (‘0'). If there are not enough free slots in the disk label, a warning will be issued.

The raw partition (typically partition c, but d on i386 and some other platforms) is left alone during this process.

By default, the proposed changed disk label will be displayed and no disk label update will occur.

Available options:

-f
  Force an update, even if there has been no change.
-q
  Performs operations in a quiet fashion.
-r
  In conjunction with -w, also update the on-disk label.
-w
  Update the in-core label if it has been changed.

# SEE ALSO

disklabel(8), dkctl(8), pdisk(8)

# HISTORY

The apmlabel command appeared in NetBSD 5.0.

May 19, 2007 | NetBSD 6.0